<?php /*FOOTER==========================================================================================================*/

/*footer layout*/
$args = array('post_type' => 'ht-footer', 'posts_per_page' => -1);
$data = get_posts($args);

$tmp = array('default' => esc_attr__('Default', 'minera'));
if( !empty( $args ) && ! is_wp_error( $args ) ){
    foreach($data as $key){
        $tmp[$key->ID] = $key->post_title;
    }
}
$tmp['disable'] = esc_html__('Disable', 'minera');

/*label*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_ft_widget',
	'label'     => esc_attr__( 'Choose your footer layout', 'minera' ),
	'section'   => 'c_footer',
	'partial_refresh' => array(
		'footer_edit_location' => array(
			'selector'        => '#footer-edit-location',
			'render_callback' => 'minera_edit_location',
		),
	),
));

/*footer layout*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'select',
	'settings'  => 'c_footer_layout',
	'label'     => esc_attr__( 'Footer layout', 'minera' ),
	'section'   => 'c_footer',
	'default' => 'default',
	'choices'   => $tmp,
));