<?php
/*sidebar menu*/
$sidebar_menu_id = get_theme_mod('hd5_sidebar_menu', 'disable');
$args_sidebar_menu = array(
    'menu' => $sidebar_menu_id,
    'theme_location' => '__faker',
    'echo' => 0
);
$sidebar_menu = wp_nav_menu($args_sidebar_menu); ?>

<header class="theme-header-layout header-layout-5" itemscope itemtype="http://schema.org/WPHeader">
    <?php minera_edit_location('hd5');/*header edit location*/ ?>
    <div class="header-box">
        <div class="container">
            <div class="primary-menu-box theme-menu-responsive" itemscope itemtype="http://schema.org/SiteNavigationElement">
                <span class="screen-reader-text"><?php esc_html_e( 'Primary Menu', 'minera' ); ?></span>
                <div class="sb-panel-overlay"></div>
                <?php minera_sidebar_menu($sidebar_menu_id, $sidebar_menu);/*get sidebar menu*/ ?>
                <button class="ht-ico-search theme-search-btn" id="ht-search-btn" data-label="<?php esc_attr_e( 'Search', 'minera' ); ?>"></button>
                <?php minera_search_form_mobile();/*search mobile*/ ?>
            </div>
            <?php minera_logo_image();/*logo*/ ?>
            <div class="header-action hd5-action">
            	<?php do_action( 'minera_header_action_before' ); ?>
                <?php minera_account(); ?>
                <?php minera_shopping_cart();/*shopping cart*/ ?>
                <?php do_action( 'minera_header_action_after' ); ?>
            </div>
        </div>

        <?php minera_sticky_mobile_menu_over_lay(); ?>
    </div>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>