<?php
/**
 * The Template for displaying all single posts
 */

$fw_page_layout = ( function_exists('fw_ext_sidebars_get_current_position') ) ? fw_ext_sidebars_get_current_position() : 'right';

$class = $full_layout = '';
$col = 'col-md-9 col-lg-9';

if($fw_page_layout == null){
	$fw_page_layout = 'right';
}

if($fw_page_layout == 'left'){
	$class = 'blog-has-left-sidebar';
}

if($fw_page_layout == 'full'){
	$col = 'col-md-12 col-lg-12';
}

get_header(); ?>

	<main id="main" class="blog_content single_content">
		<div class="container">
			<div class="row <?php echo esc_attr($class); ?>">
				<div class="<?php echo esc_attr($col); ?>">
					<?php if (have_posts()) :
						while ( have_posts() ) : the_post();
							get_template_part( 'content', get_post_format() );
						endwhile;
						minera_paging();
					else :
						get_template_part( 'content', 'none' );
					endif; ?>
				</div>
				<?php if($fw_page_layout != 'full'): ?>
					<div class="col-md-3 col-lg-3">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</main>
<?php get_footer(); ?>
