!function($) {   
    $('.slider-box').each(function(){
        var t = $(this),
            input = t.find('.slider_field'),
            val = input.val(),
            $default = t.find('.slider-value'),
            /*reset button*/
            $reset = t.find('.slider-reset-btn');
        
        /*show default value*/
        $default.html(val);
        
        /*show value when input change*/
        input.on('input', function(){
            $default.html( $(this).val() );
        });

        $reset.on('click', function(e){
            e.preventDefault();
            /*reset display value*/
            $default.html(val);
            /*reset input value*/
            input.val(val);
        });
    });
}(window.jQuery);