<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if($source == 'vimeo'){
    $type = 'vimeoSrc';
    $full_url = 'https://vimeo.com/' . $video_id;
}else{
    $type = 'ytSrc';
    $full_url = 'https://www.youtube.com/watch?v=' . $video_id;
} ?>

<div class="theme-sc-video flw <?php echo esc_attr($all_class); ?>">
    <button class="vd-play vd-is-btn <?php echo esc_attr($source); ?>" <?php echo esc_attr($type); ?>="<?php echo esc_attr($video_id); ?>"></button>
    <?php if(!empty($desc)): ?>
        <a href="<?php echo esc_url($full_url); ?>" target="_blank" class="vd-is-label"><?php echo esc_html($desc); ?></a>
    <?php endif; ?>
</div>