<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(empty($count)) return; ?>
<div class="theme-testi <?php echo esc_attr($style); ?><?php echo esc_attr($all_class); ?>">
    <?php global $post;
        $query = new WP_Query('post_type=ht-testimonial&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$count);
        if( $query->have_posts() ):
            while($query->have_posts()): $query->the_post();
            /*data*/
            $name = fw_get_db_post_option($post->ID, 'name');
            $add = fw_get_db_post_option($post->ID, 'add');
            $img_id  = get_post_thumbnail_id($post->ID);
            $thumbnail = get_the_post_thumbnail_url($post->ID, 'thumbnail');
            $img_alt = minera_img_alt($img_id, 'Testimonials image thumbnail'); ?>
    <div class="theme-testi-item" itemscope itemtype="http://schema.org/Person">
        <div class="testi-text" itemprop="description"><?php the_content(); ?></div>
        <div class="testi-block">
            <div class="testi-img"><img src="<?php echo esc_url($thumbnail); ?>" itemprop="image" alt="<?php echo esc_attr($img_alt); ?>"></div>
            <div class="testi-detail">
                <span class="testi-name" itemprop="name"><?php echo esc_html($name); ?></span>
                <span class="testi-add" itemprop="name"><?php echo esc_html($add); ?></span>
            </div>
        </div>
    </div>
    <?php endwhile;
        endif;
        wp_reset_postdata(); ?>
</div>