<?php
/**
 * The template for displaying 404 pages (Not Found)
 */

get_header(); ?>

<main id="main" class="flw">
	<div class="container">
		<div class="l404">
			<strong class="b404"><?php esc_html_e('Whoops!', 'minera'); ?></strong>
			<strong class="s404"><?php esc_html_e('Page cannot be found.', 'minera'); ?></strong>
			<p><?php esc_html_e('Page you are looking for does not exists anymore. Please go back to ', 'minera'); ?><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('homepage.', 'minera') ;?></a></p>
		</div>
		<div class="r404">
			<span>4</span>
			<span></span>
			<span>4</span>
		</div>
	</div>
</main>

<?php get_footer();
