<?php
/**
 * The template for displaying a "No posts found" message
 */
?>

<div class="page-content-none flw">
	<?php if ( (is_home() || is_category()) && current_user_can( 'publish_posts' ) ) : ?>
	   <p><?php esc_html_e( 'Ready to publish your first post?', 'minera'); ?></p>
	<?php elseif ( is_search() ) : ?>
	   <p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'minera'); ?></p>
	   <?php get_search_form(); ?>
	<?php else : ?>
	   <p><?php esc_html_e( 'It seems we can not find what you are looking for. Perhaps searching can help.', 'minera'); ?></p>
	   <?php get_search_form(); ?>
	<?php endif; ?>
</div>
