<?php
/***Theme Customizer***/

/*set config id here*/
Minera_Kirki::add_config( 'minera', array(
 	'option_type' => 'theme_mod',
 	'capability'  => 'edit_theme_options',
));

/*Add the general section*/
Minera_Kirki::add_section( 'c_general', array(
 	'title'      => esc_attr__( 'General', 'minera'),
 	'priority'   => 1,
 	'capability' => 'edit_theme_options',
	'icon'  => 'dashicons-admin-generic',
));

/*Add the header layout panel*/
Minera_Kirki::add_panel( 'c_panel', array(
 	'title'      => esc_attr__( 'Header Layout', 'minera'),
 	'capability' => 'edit_theme_options',
	'priority'   => 3,
	'icon'  => 'dashicons-editor-table',
));

/*Add the header 1 section*/
Minera_Kirki::add_section( 'header_1', array(
 	'title'      => esc_attr__( 'Layout 1', 'minera'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 2 section*/
Minera_Kirki::add_section( 'header_2', array(
 	'title'      => esc_attr__( 'Layout 2', 'minera'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 3 section*/
Minera_Kirki::add_section( 'header_3', array(
 	'title'      => esc_attr__( 'Layout 3', 'minera'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 4 section*/
Minera_Kirki::add_section( 'header_4', array(
 	'title'      => esc_attr__( 'Layout 4', 'minera'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 5 section*/
Minera_Kirki::add_section( 'header_5', array(
 	'title'      => esc_attr__( 'Layout 5', 'minera'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 6 section*/
Minera_Kirki::add_section( 'header_6', array(
 	'title'      => esc_attr__( 'Layout 6', 'minera'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the sidebar menu section*/
Minera_Kirki::add_section( 'sidebar_menu', array(
    'title'      => esc_attr__( 'Sidebar menu', 'minera'),
    'capability' => 'edit_theme_options',
    'panel'   => 'c_panel',
));

/*Add the sticky menu section*/
Minera_Kirki::add_section( 'sticky_menu', array(
    'title'      => esc_attr__( 'Sticky menu', 'minera'),
    'capability' => 'edit_theme_options',
    'panel'   => 'c_panel',
));

/*Add breadcrumbs section*/
Minera_Kirki::add_section( 'c_crumbs', array(
 	'title'      => esc_attr__( 'Page Header', 'minera'),
 	'capability' => 'edit_theme_options',
	'priority'   => 5,
	'icon' => 'ion-navicon-round'
));

/*Add color section*/
Minera_Kirki::add_section( 'color', array(
 	'title'      => esc_attr__( 'Colors', 'minera'),
 	'priority'   => 7,
 	'capability' => 'edit_theme_options',
	'icon' => 'ion-android-color-palette'
));

/*Add typo section*/
Minera_Kirki::add_section( 'typo', array(
 	'title'      => esc_attr__( 'Typography', 'minera'),
 	'capability' => 'edit_theme_options',
	'priority'   => 9,
	'icon' => 'dashicons-editor-paragraph'
));

/*Add blog section*/
Minera_Kirki::add_section( 'blog', array(
 	'title'      => esc_attr__( 'Blog', 'minera'),
 	'priority'   => 11,
 	'capability' => 'edit_theme_options',
	'icon' => 'dashicons-admin-post'
));

/*Add shop section*/
Minera_Kirki::add_section( 'shop', array(
 	'title'      => esc_attr__( 'Shop', 'minera'),
 	'priority'   => 13,
 	'capability' => 'edit_theme_options',
	'icon' => 'ion-ios-cart'
));

/*Add product single section*/
Minera_Kirki::add_section( 'single_product', array(
    'title'      => esc_attr__( 'Shop single', 'minera'),
    'priority'   => 14,
    'capability' => 'edit_theme_options',
    'icon' => 'ion-tshirt-outline'
));

/*Add footer section*/
Minera_Kirki::add_section( 'c_footer', array(
 	'title'      => esc_attr__( 'Footer', 'minera'),
 	'priority'   => 15,
 	'capability' => 'edit_theme_options',
	'icon' => 'dashicons-download'
));