<?php

if ( class_exists( 'WPBakeryVisualComposerAbstract' ) ) {
    /*slider type==============================*/
    function minera_extend_type_slider( $settings, $value ) {
        $name = esc_attr( $settings['param_name']);
        $type = esc_attr( $settings['type']);
        $val = esc_attr($value);

        $min = esc_attr($settings['option']['min']);
        $max = esc_attr($settings['option']['max']);
        $step = esc_attr($settings['option']['step']);

        return '<div class="slider-box">'.
            '<input name="'. $name .'" class="wpb_vc_param_value wpb-textinput slider_field" type="range" value="'. $val .'" min="'. $min .'" max="'. $max .'" step="'. $step .'" />'.
            '<span class="slider-value"></span>'.
            '<button class="slider-reset-btn dashicons dashicons-image-rotate"></button>'.
        '</div>';
    }

    /*radio image type=========================*/
    function minera_extend_type_imagepicker( $settings, $value ) {
        $name = esc_attr( $settings['param_name']);
        $type = esc_attr( $settings['type']);
        $val = esc_attr($value);

        $html = '';

        $html .= '<div class="radio-image-box">';
        $html .= '<span class="radio-image-preview"></span>';
        $html .= '<input name="'. esc_attr($name) .'" class="wpb_vc_param_value wpb-textinput imagepicker_field_value" type="text" value="'. esc_attr($val) .'" />';
            foreach($settings['option'] as $k => $v):
                $a = $k == $val ? 'active' : '';
                $html .= '<div class="radio-image-item '. esc_attr($a) .'" data-value="'. esc_attr($k) .'" data-src="'. esc_attr($v) .'">';
                $html .= '<img src="'. esc_url($v) .'" alt="Preview image">';
                $html .= '</div>';
            endforeach;
        $html .= '</div>';

        return $html;
    }
}