<header class="theme-header-layout header-layout-1" itemscope itemtype="http://schema.org/WPHeader">
	<?php minera_edit_location('hd1');/*header edit location*/ ?>
	<div class="header-box">
		<div class="container">
			<?php minera_logo_image();/*logo*/ ?>
			<div class="wrap-menu theme-menu-responsive" itemscope itemtype="http://schema.org/SiteNavigationElement">
				<span class="screen-reader-text"><?php esc_html_e( 'Primary Menu', 'minera' ); ?></span>
				<?php if(has_nav_menu('primary')):
					wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-primary-menu', 'container' => '' ) );
				else: ?>
					<a class="add-menu" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'minera' ); ?></a>
				<?php endif;
				/*mobile search form*/
					minera_search_form_mobile(); ?>
			</div>
			<div class="header-action hd1-action">
				<?php do_action( 'minera_header_action_before' ); ?>
				<button class="ht-ico-search theme-search-btn" id="ht-search-btn"></button>
				<?php minera_account(); ?>
				<?php minera_shopping_cart();/*shopping cart*/ ?>
				<?php do_action( 'minera_header_action_after' ); ?>
			</div>
		</div>

		<?php minera_sticky_mobile_menu_over_lay(); ?>
	</div>
	<?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>