<?php
/*sidebar menu*/
$sidebar_menu_id = get_theme_mod('hd4_sidebar_menu', 'disable');
$args_sidebar_menu = array(
    'menu' => $sidebar_menu_id,
    'theme_location' => '__faker',
    'echo' => 0
);
$sidebar_menu = wp_nav_menu($args_sidebar_menu); ?>

<header class="theme-header-layout header-layout-4" itemscope itemtype="http://schema.org/WPHeader">
    <?php minera_edit_location('hd4');/*header edit location*/ ?>
    <div class="header-box">
        <div class="container">
            <?php minera_logo_image();/*logo*/ ?>
            <?php minera_shopping_cart($only_icon = true, $icon = 'ion-bag');/*shopping cart*/ ?>
            <div class="theme-menu-responsive header-action hd4-action">
            	<?php do_action( 'minera_header_action_before' ); ?>
                <?php minera_shopping_cart($only_icon = true, $icon = 'ion-bag');/*shopping cart*/ ?>
                <button class="ht-ico-search theme-search-btn" id="ht-search-btn"></button>
                <div class="sb-panel-overlay"></div>
                <?php minera_sidebar_menu($sidebar_menu_id, $sidebar_menu);/*get sidebar menu*/ ?>
                <?php /*mobile search form*/
                minera_search_form_mobile(); ?>
                <?php do_action( 'minera_header_action_after' ); ?>
            </div>
        </div>

        <?php minera_sticky_mobile_menu_over_lay(); ?>
    </div>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>