<?php
$head = get_theme_mod('sidebar_top', 'An Exquisite Minimal Plant Store');
$foot = get_theme_mod('sidebar_foot',
'<p>&copy; 2017 <a href="#"><strong>Minera</strong></a>. All Rights Reserved.</p>
<ul class="social-list theme-social-icon">
<li><a href="//facebook.com/minera"></a></li>
<li><a href="//twitter.com/minera"></a></li>
<li><a href="//pinterest.com/minera"></a></li>
</ul>');
?>

<header class="theme-header-layout header-layout-6" itemscope itemtype="http://schema.org/WPHeader">
    <div class="theme-header-box">
        <?php minera_edit_location('hd6');/*header edit location*/ ?>
        <?php minera_logo_image();/*logo*/ ?>
        <?php /*description under logo*/
            if(!empty($head)){
                echo '<p class="slg">' . wp_kses_decode_entities($head) . '</p>';
            }
        ?>
        <div class="primary-menu-box theme-menu-responsive" itemscope itemtype="http://schema.org/SiteNavigationElement">
            <span class="screen-reader-text"><?php esc_html_e( 'Primary Menu', 'minera' ); ?></span>
            <?php /*primary menu*/
                if(has_nav_menu('primary')):
                    wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-sidebar-menu', 'container' => '' ) );
                else: ?>
                <a class="add-menu" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'minera' ); ?></a>
            <?php endif; ?>
            <?php minera_search_form_mobile();/*search mobile*/ ?>
        </div>
        <?php /*foot of header*/
            if(!empty($foot)){
                echo '<div class="foot-header flw">' . wp_kses_decode_entities($foot) . '</div>';
            }
        ?>

        <?php minera_sticky_mobile_menu_over_lay(); ?>
    </div>
</header>
<?php /*custom view for header-layout-6*/
    minera_header_layout_six($start = true);
    get_template_part('page-templates/page', 'header');/* breadcrumbs */
    